import qbs

Product {
    type: ["application","flash"]
    Depends { name: "cpp" }
    name: "firmware"
    cpp.assemblerFlags: ["-plosgffwy"]
    cpp.includePaths:["inc"]

    files: [
		"main.c", 
		"inc/uart1.h",
		"src/uart1.c",
		"asm/delay.s",
	]

    Properties
    {
        condition: qbs.buildVariant === "debug"
        cpp.cFlags: ["--out-fmt-elf"]
        cpp.driverLinkerFlags: ["--debug","--out-fmt-elf"]
        cpp.executableSuffix: ".elf"
    }

    Properties
    {
        condition: qbs.buildVariant === "release"
        //cpp.cFlags: ["--opt-code-size"]
        cpp.executableSuffix: ".ihx"
    }

    Rule
    {
        inputs: ["application"]
        Artifact
        {
            filePath: product.name
            fileTags: "flash"
        }
        prepare:
        {
            var cmd=new Command("stm8-size",input.filePath)
            cmd.description = "print size of the firmware"
            return [cmd]
        }
    }
}

